Subject: bug#50192: Bug: Yank slow and cancels macro recording

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 25 Aug 2021 16:20:35 +0200

Seth Sevier <[email-masked]> writes:

> My apologies, I neglected to say emacs -nw -Q.  I've done my work in
> an SSH session for too long I suppose!
>
> I am running st, setting TERM=st-256color to TERM=xterm-256color
> resolves the issue, as well as switching to xfce4-terminal.

I can reproduce this under stterm with -nw on the current trunk -- any
yanking takes two seconds, and does cancel the macro.

In the shell that I opened stterm in, I also get:

erresc: unknown csi ESC[>4;1m
erresc: unknown csi ESC[>4m
erresc: unknown csi ESC[>4;1m
erresc: unknown csi ESC[>4m
erresc: unknown csi ESC[>4;1m

So I guess there's a bunch of stuff that doesn't work in stterm?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no